API ReferenceManagementResources
POST
/v1/mgmt/resource/delete/batch

Authorization

Descope Project ID and Management Key
AuthorizationBearer <token>

Project ID:Management Key as bearer token.

In: header

Request Body

application/json

ids?array<string>
string

Delete multiple resources, including MCP servers (type "mcp"), using a valid management key. Resources managed by an agent gateway cannot be deleted directly.

curl -X POST "https://api.descope.com/v1/mgmt/resource/delete/batch" \  -H "Content-Type: application/json" \  -d '{}'
Was this helpful?